KDE 4.7 PyKDE API Reference

- KDE's Python API

# AccessManager Class Reference

`from PyKDE4.kio import *`

Inherits:
Namespace: KIO

## Detailed Description

A KDE implementation of QNetworkAccessManager.

Use this class instead of QNetworkAccessManager if you want to integrate with KDE's KIO and KCookieJar modules for network operations and cookie handling respectively.

Here is a simple example that shows how to set the QtWebKit module to use KDE's KIO for its network operations:

       QWebView *view = new QWebView(this);
       KIO.Integration.AccessManager *manager = new KIO.Integration.AccessManager(view);
       view->page()->setNetworkAccessManager(manager);

To access member functions in the cookiejar class at a later point in your code simply downcast the pointer returned by QWebPage.networkAccessManager as follows:

       KIO.Integration.AccessManager *manager = qobject_cast<KIO.Integration.AccessManager*>(view->page()->accessManager());

Please note that this class is in the KIO namespace for backward compatablity. You should use KIO.Integration.AccessManager to access this class in your code.

IMPORTANTThis class is not a replacement for the standard KDE API. It should ONLY be used to provide KDE integration in applications that cannot use the standard KDE API directly.

Author:
  Urs Wolfer <uwolfer @kde.org>

Author:
  Dawit Alemayehu <adawit @kde.org>

Deprecated:
  Use the KIO.Integration.AccessManager typedef to access this class instead.

Since:
  4.3

## Enumerations
Attribute | { MetaData, KioError }
## Methods
| __init__ (self, QObject parent)
int | cookieJarWindowid (self)
QNetworkReply | createRequest (self, Operation op, QNetworkRequest req, QIODevice outgoingData=0)
bool | isExternalContentAllowed (self)
KIO.MetaData | requestMetaData (self)
KIO.MetaData | sessionMetaData (self)
| setCookieJarWindowId (self, int id)
| setEmitReadyReadOnMetaDataChange (self, bool a0)
| setExternalContentAllowed (self, bool allowed)
| setWindow (self, QWidget widget)
QWidget | window (self)
## Static Methods
| putReplyOnHold (QNetworkReply reply)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

Constructor

int cookieJarWindowid | ( |  | self ) |

Returns the cookiejar's window id.

This is a convenience function that returns the window id associated with the cookiejar. Note that this function will return a 0 if the cookiejar is not of type KIO.Integration.CookieJar or a window id has not yet been set.

See also:
  KIO.Integration.CookieJar.windowId.

Since:
  4.4

Deprecated:
  Use KIO.Integration.CookieJar.windowId

QNetworkReply createRequest | ( | self, |
|  | Operation | op,
|  | QNetworkRequest | req,
|  | QIODevice | outgoingData=0
| ) |  |  |

Reimplemented for internal reasons, the API is not affected.

See also:
  QNetworkAccessManager.createRequest

Internal:

bool isExternalContentAllowed | ( |  | self ) |

Returns true if external content is going to be fetched.

See also:
  setExternalContentAllowed

KIO.MetaData requestMetaData | ( |  | self ) |

Returns a reference to the temporary meta data container.

See kdelibs/kio/DESIGN.metadata for list of supported KIO meta data.

Use this function when you want to set per request KIO meta data that will be removed after it has been sent once.

Since:
  4.4

KIO.MetaData sessionMetaData | ( |  | self ) |

Returns a reference to the persistent meta data container.

See kdelibs/kio/DESIGN.metadata for list of supported KIO meta data.

Use this function when you want to set per session KIO meta data that will be sent with every request.

Unlike requestMetaData, the meta data values set using the reference returned by this function will not be deleted and will be sent with every request.

Since:
  4.4

setCookieJarWindowId | ( | self, |
|  | int | id
| ) |  |  |

Sets the cookiejar's window id to id.

This is a convenience function that allows you to set the cookiejar's window id. Note that this function does nothing unless the cookiejar in use is of type KIO.Integration.CookieJar.

By default the cookiejar's window id is set to false. Make sure you call this function and set the window id to its proper value when create an instance of this object. Otherwise, the KDE cookiejar will not be able to properly manage session based cookies.

See also:
  KIO.Integration.CookieJar.setWindowId.

Since:
  4.4

Deprecated:
  Use setWindow

setEmitReadyReadOnMetaDataChange | ( | self, |
|  | bool | a0
| ) |  |  |

Sets the network reply object to emit readyRead when it receives meta data.

Meta data is any information that is not the actual content itself, e.g. HTTP response headers of the HTTP protocol. You should only call this function, when an application does not connect to a reply object's metaDataChanged signal.

See also:
  QNetworkReply.metaDataChanged

Since:
  4.7

setExternalContentAllowed | ( | self, |
|  | bool | allowed
| ) |  |  |

Set allowed to false if you don't want any external content to be fetched. By default external content is fetched.

setWindow | ( | self, |
|  | QWidget | widget
| ) |  |  |

Sets the window associated with this network access manager.

Note that widget will be used as a parent for dialogs in KIO as well as the cookie jar. If widget is not a window, this function will invoke QWidget.window() to obtain the window for the given widget.

See also:
  KIO.Integration.CookieJar.setWindow.

Since:
  4.7

QWidget window | ( |  | self ) |

Returns the window associated with this network access manager.

See also:
  setWindow

Since:
  4.7

## Static Method Documentation

putReplyOnHold | ( | QNetworkReply | reply
| ) |  |  |

Puts the ioslave associated with the given reply on hold.

This function is intended to make possible the implementation of the special case mentioned in KIO.get's documentation within the KIO-QNAM integration.

See also:
  KIO.get.

Since:
  4.6

## Enumeration Documentation

Attribute

Enumerator:

  MetaData = QNetworkRequest::User |
  KioError |